Debian Bug report logs - #579147
ITP: cpanminus -- Get, unpack, build and install modules from CPAN

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>

Date: Sun, 25 Apr 2010 18:18:02 UTC

Owned by: Alessandro Ghedini <al3xbio@gmail.com>

Severity: wishlist

Fixed in version cpanminus/1.3001-1

Done: Alessandro Ghedini <al3xbio@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#579147; Package wnpp. (Sun, 25 Apr 2010 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 25 Apr 2010 18:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libapp-cpanminus-perl -- Get, unpack, build and install modules from CPAN
Date: Sun, 25 Apr 2010 18:12:09 +0000
Package: wnpp
Severity: wishlist
Owner: "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>
Owner: "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>

* Package name    : libapp-cpanminus-perl
  Version         : 1.001
  Upstream Author : Tatsuhiko Miyagawa  <miyagawa@bulknews.net>
* URL             : http://cpan.uwinnipeg.ca/search?query=cpanminus&mode=dist
* License         : GPL
  Programming Lang: Perl
  Description     : Get, unpack, build and install modules from CPAN

 A dependency free, zero configuration, and stand alone CPAN module
 installer. Maintainable and extensible with plugins and friendly 
 to shell scripting. When running, it requires only 10MB of RAM.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Bug#579147; Package wnpp. (Sun, 02 May 2010 21:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>. (Sun, 02 May 2010 21:21:02 GMT) Full text and rfc822 format available.

Message #10 received at 579147@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>, 579147@bugs.debian.org
Cc: Debian Devel <debian-devel@lists.debian.org>
Subject: Re: Bug#579147: ITP: libapp-cpanminus-perl -- Get, unpack, build and install modules from CPAN
Date: Sun, 02 May 2010 23:17:42 +0200
On Sun, 2010-04-25 at 18:12 +0000, Jeremiah C. Foster wrote:
> 
> * Package name    : libapp-cpanminus-perl
>   Description     : Get, unpack, build and install modules from CPAN
> 
>  A dependency free, zero configuration, and stand alone CPAN module
>  installer. Maintainable and extensible with plugins and friendly 
>  to shell scripting. When running, it requires only 10MB of RAM.

The package description should mention that the modules aren't
integrated with Debian packaging (no resolution dependency ; some
conflicts may happens ; security updates aren't handled by apt***, etc).
Also, installing the same module on 2 systems at a few days interval
does not guarantee to install the the version (isn't it?)

So the preferred way to install a perl module in Debian is to use
package from Debian)

My 2 cents,

Franklin





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Bug#579147; Package wnpp. (Fri, 21 May 2010 15:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <spang@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>. (Fri, 21 May 2010 15:06:07 GMT) Full text and rfc822 format available.

Message #15 received at 579147@bugs.debian.org (full text, mbox):

From: Christine Spang <spang@MIT.EDU>
To: 579147@bugs.debian.org
Subject: package should be called cpanminus
Date: Fri, 21 May 2010 11:03:41 -0400
I'd also like to request that the package be called
'cpanminus' rather than 'libapp-cpanminus-perl'. While this
is the default naming scheme for software from CPAN, it is
not required and makes no sense for the App::
namespace---these are meant to be standalone applications,
and having their package names start with 'lib' is confusing
and ugly.

cheers,
Christine




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Bug#579147; Package wnpp. (Fri, 21 May 2010 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <spang@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>. (Fri, 21 May 2010 15:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 579147@bugs.debian.org (full text, mbox):

From: Christine Spang <spang@MIT.EDU>
To: 579147@bugs.debian.org
Subject: maintianing under the Perl team
Date: Fri, 21 May 2010 11:07:24 -0400
And a second point of note---have you considered maintaining
this package under the Perl packaging team?
(http://wiki.debian.org/Teams/DebianPerlGroup) IMHO this
would be good idea.

I'd love to see this package in Debian soon.

cheers,
Christine




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Bug#579147; Package wnpp. (Wed, 22 Sep 2010 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <spang@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>. (Wed, 22 Sep 2010 03:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 579147@bugs.debian.org (full text, mbox):

From: Christine Spang <spang@MIT.EDU>
To: 579147@bugs.debian.org
Subject: any update?
Date: Tue, 21 Sep 2010 23:11:25 -0400
Hi Jeremiah,

Any update on getting cpanminus into Debian?

regards,
Christine




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Bug#579147; Package wnpp. (Mon, 13 Dec 2010 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>. (Mon, 13 Dec 2010 15:00:03 GMT) Full text and rfc822 format available.

Message #30 received at 579147@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: 579147@bugs.debian.org
Subject: progress?
Date: Mon, 13 Dec 2010 15:57:57 +0100
Hi,

how is the progress for this?

Cheers
-- 
perl -E'$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'




Owner changed from "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com> to Alessandro Ghedini <al3xbio@gmail.com>. Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Mon, 20 Dec 2010 11:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#579147; Package wnpp. (Mon, 20 Dec 2010 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 20 Dec 2010 12:00:03 GMT) Full text and rfc822 format available.

Message #37 received at 579147@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: 579147@bugs.debian.org
Subject: Owner change
Date: Mon, 20 Dec 2010 12:57:08 +0100
I've just taken the ownership of this bug, with Jeremiah's permission.

This package will be maintained by the Debian Perl Group.

Cheers

-- 
perl -E'$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'




Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 20 Dec 2010 13:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alessandro Ghedini <al3xbio@gmail.com>:
Bug#579147; Package wnpp. (Sat, 12 Feb 2011 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alessandro Ghedini <al3xbio@gmail.com>. (Sat, 12 Feb 2011 14:27:06 GMT) Full text and rfc822 format available.

Message #44 received at 579147@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Alessandro Ghedini <al3xbio@gmail.com>
Cc: debian-perl@lists.debian.org, 579147@bugs.debian.org
Subject: Package naming: cpanminus or libapp-cpanminus-perl
Date: Sat, 12 Feb 2011 15:24:47 +0100
Hi Alessandro,

in the ITP bug for libapp-cpanminus-perl it was suggested[1] to name the
package cpanminus instead.  Jonathan suggested that applications from
the App::* namespace should in general not be named like modules[2].
I also think it's nicer as cpanminus is not a Perl module, but a (Perl
related) application.  I would like to know what you think about this.

It would be nice to handle the rename before the package passes the NEW
queue and enters the archive (if we decide to do so).

Regards,
Ansgar

[1] <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=579147#15>
[2] <http://lists.debian.org/debian-perl/2011/02/msg00003.html>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#579147; Package wnpp. (Sat, 12 Feb 2011 15:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 Feb 2011 15:15:08 GMT) Full text and rfc822 format available.

Message #49 received at 579147@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: debian-perl@lists.debian.org, 579147@bugs.debian.org
Subject: Re: Package naming: cpanminus or libapp-cpanminus-perl
Date: Sat, 12 Feb 2011 16:12:20 +0100
Hello,

> in the ITP bug for libapp-cpanminus-perl it was suggested[1] to name the
> package cpanminus instead.  Jonathan suggested that applications from
> the App::* namespace should in general not be named like modules[2].
> I also think it's nicer as cpanminus is not a Perl module, but a (Perl
> related) application.  I would like to know what you think about this.

I saw the discussion on debian-perl, but I hadn't much to say about 
and then it got submerged by other mails.

About the rename, it's fine to me, I just followed Perl Policy naming
convention and similar packages already in the archive (e.g.
libapp-nopaste-perl) when creating it.

I am not really concerned by the libapp-*-perl naming scheme (IMHO it makes 
easier to "map" CPAN names to Debian names) but I see why you would like to 
change it.

Btw there is also libapp-perlbrew-perl (in NEW) that should probably be
renamed as well.

Cheers

-- 
perl -E'$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#579147; Package wnpp. (Sat, 12 Feb 2011 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 Feb 2011 17:39:03 GMT) Full text and rfc822 format available.

Message #54 received at 579147@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: debian-perl@lists.debian.org
Cc: Ansgar Burchardt <ansgar@debian.org>, 579147@bugs.debian.org
Subject: Re: Package naming: cpanminus or libapp-cpanminus-perl
Date: Sat, 12 Feb 2011 18:35:52 +0100
On Sat, Feb 12, 2011 at 04:12:20PM +0100, Alessandro Ghedini wrote:
> Btw there is also libapp-perlbrew-perl (in NEW) that should probably be
> renamed as well.

Just had a look at NEW packages I worked on. Also libstarman-perl and 
libtwiggy-perl are candidate for a change. They are both backends for
Plack shipped with their own executables (which make use of Plack::Runner).

I think they both fall in the first category (module with executable) so 
that adding the Provides field and re-uploading (without asking for 
removal) should be enough, am I right?

Cheers

-- 
perl -E'$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'




Changed Bug title to 'ITP: cpanminus -- Get, unpack, build and install modules from CPAN' from 'ITP: libapp-cpanminus-perl -- Get, unpack, build and install modules from CPAN' Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 09:36:06 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <al3xbio@gmail.com>:
You have taken responsibility. (Sat, 02 Apr 2011 23:03:06 GMT) Full text and rfc822 format available.

Notification sent to "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Bug acknowledged by developer. (Sat, 02 Apr 2011 23:03:06 GMT) Full text and rfc822 format available.

Message #61 received at 579147-close@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: 579147-close@bugs.debian.org
Subject: Bug#579147: fixed in cpanminus 1.3001-1
Date: Sat, 02 Apr 2011 23:02:07 +0000
Source: cpanminus
Source-Version: 1.3001-1

We believe that the bug you reported is fixed in the latest version of
cpanminus, which is due to be installed in the Debian FTP archive:

cpanminus_1.3001-1.debian.tar.gz
  to main/c/cpanminus/cpanminus_1.3001-1.debian.tar.gz
cpanminus_1.3001-1.dsc
  to main/c/cpanminus/cpanminus_1.3001-1.dsc
cpanminus_1.3001-1_all.deb
  to main/c/cpanminus/cpanminus_1.3001-1_all.deb
cpanminus_1.3001.orig.tar.gz
  to main/c/cpanminus/cpanminus_1.3001.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579147@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro Ghedini <al3xbio@gmail.com> (supplier of updated cpanminus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 05 Mar 2011 11:42:05 +0100
Source: cpanminus
Binary: cpanminus
Architecture: source all
Version: 1.3001-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Alessandro Ghedini <al3xbio@gmail.com>
Description: 
 cpanminus  - script to get, unpack, build and install modules from CPAN
Closes: 579147
Changes: 
 cpanminus (1.3001-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #579147)
Checksums-Sha1: 
 891e8b825f4bbd9f91e8a616f6a5fa6e7fa690e1 1958 cpanminus_1.3001-1.dsc
 b6ee549443128d849c26b6209e09e69280fbfe5a 65790 cpanminus_1.3001.orig.tar.gz
 a8e0514a93b67347e1cc44363f6255e5d7e8ed8a 1918 cpanminus_1.3001-1.debian.tar.gz
 149ea40c0b72a016eaf4266a08dc62d786b6a443 81222 cpanminus_1.3001-1_all.deb
Checksums-Sha256: 
 ea11116c97598db7352c4b1dc1d143fcb0966d0fc2829d387aea5ce20cf8f115 1958 cpanminus_1.3001-1.dsc
 a5add39b3d93a2a564afca827577aebae6d57fc88eca31e83bc5a7258d0c0647 65790 cpanminus_1.3001.orig.tar.gz
 adf5a2292eb0c8bc35e2183d20dc6672515e0e06a220d9be6bc314a411e99e24 1918 cpanminus_1.3001-1.debian.tar.gz
 372de0eded22cb35eef87435686cafc937c0b482fb009324d799aae2242ddd90 81222 cpanminus_1.3001-1_all.deb
Files: 
 8a793496b725a8ed17d32b58b4d8f2a6 1958 perl optional cpanminus_1.3001-1.dsc
 447e6d542b44ad1fe1178e061b7d40b1 65790 perl optional cpanminus_1.3001.orig.tar.gz
 42195aa6d29828a37e2373be7f39d6d3 1918 perl optional cpanminus_1.3001-1.debian.tar.gz
 dde0eae536accdfadae8375a399858cf 81222 perl optional cpanminus_1.3001-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNckTiAAoJELs6aAGGSaoG9hwQALl9m6Q5GxSnfJ5jPlk+8ODe
khfm7sZmNk4MY0VU5nZlI9MsCcAT3JJFQNnoavXbnb2M9+4tmgjuvF1Pyu1rPVfk
YuLOOotxxPKbfDyRfbSpnihJP4C7745wcUo7xxQETE+K49QkXGYckNEwXBadiRV5
T2XxCt4UG50ysMRl+g53zVadsqLbda7KA5u7S3sBPkwFOP3UFpakDzaGNc/Fjqdj
qjTgHl4j+ozTTu6QLFIjNFKVljVALmYIUofdEot8YxXH0hfWdC5tSTd6uiIYf/Zo
pXU+OrzFTFSSQzdwjRMqoD+uw3IBRZtroWL+XeXGRcKjrCaxBHBwWZBzZOmMaOQQ
mElp0jpmwSWn+9FpHEQK5nVhOgfrhAEIQjtsepBDDk0hOsUTIu0U/W/jozLkz4zL
d2JCLo6TZ9JPsoqgG1ceRqc/ngihhtou2rZT/Wlxg6vjERT50QTzX26i+Dw2iDfL
K75BRCD5fegrgDxAvdgk+EijCM2tFPakNgTxjHLwoDrA8cj7VopLOhkTwWzGD3Rr
GyJRIWskJBEftFisJ9JQtfQ7mjNElVAK4d3MyBoPtnm3frA3e5NL9uS3khGhRfBU
DYZyCyojnUXHF+tCYNprniMVX1pLEfR4XjihGCtpgrREJWv+YZK3jAsZb25ebZ0H
lZQyX1rdJ+qToSqxbhej
=peyF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 May 2011 07:36:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:39:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.